#!/bin/sh
. ./common.sh
set -e

arch_install() {
    buildah run --user 0:0 "$1" curl -Lo /tmp/package.pkg.zst "$2"
    buildah run --user 0:0 "$1" pacman --noconfirm -U "/tmp/package.pkg.zst"
}

init_container "archlinux" "docker.io/archlinux"
buildah run --user 0:0 "archlinux" pacman-key --init
buildah run --user 0:0 "archlinux" pacman-key --populate
buildah run --user 0:0 "archlinux" tee -a /etc/pacman.conf <<EOF
[packete.gitea.sebastian-tobie.de]
Server = https://gitea.sebastian-tobie.de/api/packages/packete/arch/packete/$$arch
SigLevel = Required
EOF
curl -s https://gitea.sebastian-tobie.de/api/packages/packete/arch/repository.key | buildah run --user 0:0 "archlinux" pacman-key -a -
buildah run --user 0:0 archlinux pacman-key --lsign-key 'packete@noreply.gitea.sebastian-tobie.de'

buildah run --user 0:0 "archlinux" pacman --noconfirm -Syu nodejs git base-devel sudo
arch_install "$container" "https://github.com/openbao/openbao/releases/download/v${openbao_version}/bao_${openbao_version}_linux_amd64.pkg.tar.zst"
commit "archlinux" "oci:archlinux"
du -sh archlinux
