#!/bin/sh
. ./common.sh
set -e
version="$1"
container="debian_${version}"


debian_install(){
    buildah run --user _apt "$1" curl -Lo /tmp/package.deb "$2"
    buildah run --user 0:0 "$1" apt install /tmp/package.deb
}

debian_selection(){
    selectionfile="$2"
    buildah copy "$1" "$selectionfile" /tmp/seed
    buildah run --user 0:0 "$1" debconf-set-selections /tmp/seed
}

init_container "$container" "docker.io/debian:${version}"
buildah config -e DEBIAN_FRONTEND=noninteractive "$container"
debian_list=$(mktemp)
sed "s;VERSION;${version};g" repos/debian.sources >"$debian_list"
buildah run --user 0:0 "$container" apt update
buildah run --user 0:0 "$container" apt install -y ca-certificates
buildah copy  "$container" "$debian_list" /etc/apt/sources.list.d/eigene.sources
buildah run --user 0:0 "$container" apt update
debian_selection "$container" selections.txt
buildah run --user 0:0 "$container" apt install -y build-essential nodejs git git-buildpackage ca-certificates-st sudo
debian_install "$container" "https://github.com/openbao/openbao/releases/download/v${openbao_version}/bao_${openbao_version}_linux_amd64.deb"
commit "$container" "oci:debian:${version}"

du -sh debian
