#!/bin/sh
. ./common.sh
set -e
version="${1}"
container="ubi_${version}"

add_repo(){
    container="$1"
    forgejo="$2"
    org="$3"
    group="$4"
    if [ -z "$group" ] ; then
        group="rpm.repo"
    else
        group="rpm/${group}.repo"
    fi
    buildah run --user 0:0 "$container" dnf config-manager --add-repo "${forgejo}/api/packages/${org}/${group}"
}

ubi_install(){
    buildah run "$1" rpm -i "$2"
}

init_container "$container" "registry.access.redhat.com/ubi${version}:latest"
buildah run --user 0:0 "$container" dnf install -y nodejs git rpm-build sudo rpmdevtools
ubi_install "$container" "https://github.com/openbao/openbao/releases/download/v${openbao_version}/bao_${openbao_version}_linux_amd64.rpm"

commit "$container" "oci:ubi:$version"
du -sh ubi
